Subject: Re: bug#71321: 30.0.50; M-x grep: not recognizing well files with colon

From: Eli Zaretskii <[email-masked]>
Date: Sun, 02 Jun 2024 13:02:14 +0300

> From: Jean Louis <[email-masked]>
> Date: Thu, 30 May 2024 13:03:31 +0300
> 
> I have files like:
> 
> ~/tmp/2024-05-17-10:39:33-RCD TEMPORARY BUFFER.txt
> 
> and if I do M-x grep on those files, I get results such as:
> 
> 2024-01-22-11:39:12-RCD TEMPORARY BUFFER.txt:13:|            | TOTAL                                      |  -57000 |
> 2024-05-17-10:39:33-RCD TEMPORARY BUFFER.txt:3:|------------+-------------------------------+---------|
> 2024-05-17-10:39:33-RCD TEMPORARY BUFFER.txt:4:|       Date | Description                   |  Amount |
> 2024-05-17-10:39:33-RCD TEMPORARY BUFFER.txt:5:|------------+-------------------------------+---------|
> 2024-05-17-10:39:33-RCD TEMPORARY BUFFER.txt:6:| 2024-05-09 | Exchange US $1000             | 3759000 |
> 
> Where by when I try to click on the file, it is attempting to find wrong
> file "2024-05-17-10" instead of "2024-05-17-10:39:33-RCD TEMPORARY
> BUFFER.txt" so I guess that regular expression of finding the file in
> *grep* temporary buffer shall be improved.

Improved how?  Can you suggest how to distinguish between ":39:" and
":13:" in the Grep output, when searching where the file name ends and
the line number and the following test starts?

Do the problems go away if you use "M-x occur" instead?  If so,
perhaps that's a better solution for such file names.